ZF-10748: MD2 no longer supported by OpenSSL - remove support from Zend_Crypt?

Issue Type: Bug Created: 2010-11-26T23:42:42.000+0000 Last Updated: 2012-11-20T21:37:23.000+0000 Status: Open Fix version(s): Reporter: Marc Hodgins (mjh_ca) Assignee: None Tags: - Zend_Crypt

Related issues: Attachments:


Unit tests fail on some platforms (mine is Ubuntu 10.10 running PHP 5.3.3) because OPENSSL_ALGO_MD2 is no longer defined. This is because the OpenSSL library has discontinued MD2 because it is insecure. Should all support of MD2 be removed from Zend_Crypt as well? It will be non functional on these platforms anyway.

The specific unit test failure:

<pre class="literal">
Use of undefined constant OPENSSL_ALGO_MD2 - assumed 'OPENSSL_ALGO_MD2'



Posted by Ramon Henrique Ornelas (ramon) on 2010-11-27T02:51:38.000+0000

After changes done in the php the tests failure see

Greetings Ramon

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.